package Output::HTML;

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

sub new
{
	my( $class ) = @_;
	my $self = {};
	bless $self, $class;
	$self->{html}           = 1;
	$self->{code}           = '<pre>_WORD_</pre>';
	$self->{linecomment}    = '<span class="linecomment">_WORD_</span>';
	$self->{blockcomment}   = '<span class="blockcomment">_WORD_</span>';
	$self->{prepro}         = '<span class="prepro">_WORD_</span>';
	$self->{select}         = '<span class="select">_WORD_</span>';
	$self->{quote}          = '<span class="quote">_WORD_</span>';
	$self->{category_1}     = '<span class="category1">_WORD_</span>';
	$self->{category_2}     = '<span class="category2">_WORD_</span>';
	$self->{category_3}     = '<span class="category3">_WORD_</span>';
	return $self;
}


1;
