package HFile::HFile_coldfusion;

###############################
#
# Beautifier Perl HFile
# Language: ColdFusion
# HFile by Samuel Neff (sam@rewindlife.com)
# Copyright  2003.
# Keyword list taken from Dreamweaver MX configuration files
#
###############################

use Beautifier::HFile;
@ISA = qw(HFile);
sub new
{
	my( $class ) = @_;
	my $self = {};
	bless $self, $class;

	# Flags:
	$self->{nocase}         	= "1";
	$self->{notrim}         	= "1";
	$self->{perl}           	= "0";
	$self->{indent}         	= ["{"];
	$self->{unindent}       	= ["}"];
	$self->{stringchars}    	= ["\"", "\'"];
	$self->{delimiters}     	= ["~", "!", "@", "%", "^", "&", "*", "(", ")", "+", "=", "|", "\\", "{", "}", "[", "]", ":", ";", "\"", "\'", "<", ">", " ", ",", "	", ".", "?", "/"];
	$self->{escchar}        	= "";
	$self->{linecommenton}  	= ["//"];
	$self->{blockcommenton} 	= ["<!--"];
	$self->{blockcommentoff}	= ["-->"];
	$self->{keywords}       	= {

				#KEYWORD=Reserved
				"AND" => "4",
				"break" => "4",
				"case" => "4",
				"CONTAIN" => "4",
				"CONTAINS" => "4",
				"continue" => "4",
				"default" => "4",
				"do" => "4",
				"DOES" => "4",
				"else" => "4",
				"EQ" => "4",
				"EQUAL" => "4",
				"EQUALTO" => "4",
				"EQV" => "4",
				"FALSE" => "4",
				"for" => "4",
				"GE" => "4",
				"GREATER" => "4",
				"GT" => "4",
				"GTE" => "4",
				"if" => "4",
				"IMP" => "4",
				"in" => "4",
				"IS" => "4",
				"LE" => "4",
				"LESS" => "4",
				"LT" => "4",
				"LTE" => "4",
				"MOD" => "4",
				"NEQ" => "4",
				"NOT" => "4",
				"OR" => "4",
				"return" => "4",
				"switch" => "4",
				"THAN" => "4",
				"TO" => "4",
				"TRUE" => "4",
				"var" => "4",
				"while" => "4",
				"XOR" => "4",

				#KEYWORD=Functions
				"Abs" => "3",
				"ACos" => "3",
				"ArrayAppend" => "3",
				"ArrayAvg" => "3",
				"ArrayClear" => "3",
				"ArrayDeleteAt" => "3",
				"ArrayInsertAt" => "3",
				"ArrayIsEmpty" => "3",
				"ArrayLen" => "3",
				"ArrayMax" => "3",
				"ArrayMin" => "3",
				"ArrayNew" => "3",
				"ArrayPrepend" => "3",
				"ArrayResize" => "3",
				"ArraySet" => "3",
				"ArraySort" => "3",
				"ArraySum" => "3",
				"ArraySwap" => "3",
				"ArrayToList" => "3",
				"Asc" => "3",
				"ASin" => "3",
				"Atn" => "3",
				"AuthenticatedContext" => "3",
				"AuthenticatedUser" => "3",
				"BitAnd" => "3",
				"BitMaskClear" => "3",
				"BitMaskRead" => "3",
				"BitMaskSet" => "3",
				"BitNot" => "3",
				"BitOr" => "3",
				"BitSHLN" => "3",
				"BitSHRN" => "3",
				"BitXor" => "3",
				"Ceiling" => "3",
				"Chr" => "3",
				"CJustify" => "3",
				"Compare" => "3",
				"CompareNoCase" => "3",
				"Cos" => "3",
				"CreateDate" => "3",
				"CreateDateTime" => "3",
				"CreateODBCDate" => "3",
				"CreateODBCDateTime" => "3",
				"CreateODBCTime" => "3",
				"CreateTime" => "3",
				"CreateTimeSpan" => "3",
				"DateAdd" => "3",
				"DateCompare" => "3",
				"DateConvert" => "3",
				"DateDiff" => "3",
				"DateFormat" => "3",
				"DatePart" => "3",
				"Day" => "3",
				"DayOfWeek" => "3",
				"DayOfWeekAsString" => "3",
				"DayOfYear" => "3",
				"DaysInMonth" => "3",
				"DaysInYear" => "3",
				"DE" => "3",
				"DecimalFormat" => "3",
				"DecrementValue" => "3",
				"Decrypt" => "3",
				"DeleteClientVariable" => "3",
				"DirectoryExists" => "3",
				"DollarFormat" => "3",
				"Duplicate" => "3",
				"Encrypt" => "3",
				"Evaluate" => "3",
				"Exp" => "3",
				"ExpandPath" => "3",
				"FileExists" => "3",
				"Find" => "3",
				"FindNoCase" => "3",
				"FindOneOf" => "3",
				"FirstDayOfMonth" => "3",
				"Fix" => "3",
				"FormatBaseN" => "3",
				"GetBaseTagData" => "3",
				"GetBaseTagList" => "3",
				"GetBaseTemplatePath" => "3",
				"GetClientVariablesList" => "3",
				"GetCurrentTemplatePath" => "3",
				"GetDirectoryFromPath" => "3",
				"GetException" => "3",
				"GetFileFromPath" => "3",
				"GetFunctionList" => "3",
				"GetHttpTimeString" => "3",
				"GetHttpRequestData" => "3",
				"GetLocale" => "3",
				"GetMetricData" => "3",
				"GetProfileString" => "3",
				"GetTempDirectory" => "3",
				"GetTempFile" => "3",
				"GetTemplatePath" => "3",
				"GetTickCount" => "3",
				"GetTimeZoneInfo" => "3",
				"GetToken" => "3",
				"Hash" => "3",
				"Hour" => "3",
				"HTMLCodeFormat" => "3",
				"HTMLEditFormat" => "3",
				"IIf" => "3",
				"IncrementValue" => "3",
				"InputBaseN" => "3",
				"Insert" => "3",
				"Int" => "3",
				"IsArray" => "3",
				"IsAuthenticated" => "3",
				"IsAuthorized" => "3",
				"IsBoolean" => "3",
				"IsBinary" => "3",
				"IsCustomFunction" => "3",
				"IsDate" => "3",
				"IsDebugMode" => "3",
				"IsDefined" => "3",
				"IsLeapYear" => "3",
				"IsNumeric" => "3",
				"IsNumericDate" => "3",
				"IsProtected" => "3",
				"IsQuery" => "3",
				"IsSimpleValue" => "3",
				"IsStruct" => "3",
				"IsWDDX" => "3",
				"JavaCast" => "3",
				"JSStringFormat" => "3",
				"LCase" => "3",
				"Left" => "3",
				"Len" => "3",
				"ListAppend" => "3",
				"ListChangeDelims" => "3",
				"ListContains" => "3",
				"ListContainsNoCase" => "3",
				"ListDeleteAt" => "3",
				"ListFind" => "3",
				"ListFindNoCase" => "3",
				"ListFirst" => "3",
				"ListGetAt" => "3",
				"ListInsertAt" => "3",
				"ListLast" => "3",
				"ListLen" => "3",
				"ListPrepend" => "3",
				"ListQualify" => "3",
				"ListRest" => "3",
				"ListSetAt" => "3",
				"ListSort" => "3",
				"ListToArray" => "3",
				"ListValueCount" => "3",
				"ListValueCountNoCase" => "3",
				"LJustify" => "3",
				"Log" => "3",
				"Log10" => "3",
				"LSCurrencyFormat" => "3",
				"LSDateFormat" => "3",
				"LSEuroCurrencyFormat" => "3",
				"LSIsCurrency" => "3",
				"LSIsDate" => "3",
				"LSIsNumeric" => "3",
				"LSNumberFormat" => "3",
				"LSParseCurrency" => "3",
				"LSParseDateTime" => "3",
				"LSParseNumber" => "3",
				"LSTimeFormat" => "3",
				"LTrim" => "3",
				"Max" => "3",
				"Mid" => "3",
				"Min" => "3",
				"Minute" => "3",
				"Month" => "3",
				"MonthAsString" => "3",
				"Now" => "3",
				"NumberFormat" => "3",
				"ParagraphFormat" => "3",
				"ParameterExists" => "3",
				"ParseDateTime" => "3",
				"Pi" => "3",
				"PreserveSingleQuotes" => "3",
				"Quarter" => "3",
				"QueryAddRow" => "3",
				"QueryNew" => "3",
				"QuerySetCell" => "3",
				"QuotedValueList" => "3",
				"Rand" => "3",
				"Randomize" => "3",
				"RandRange" => "3",
				"REFind" => "3",
				"REFindNoCase" => "3",
				"RemoveChars" => "3",
				"RepeatString" => "3",
				"Replace" => "3",
				"ReplaceList" => "3",
				"ReplaceNoCase" => "3",
				"REReplace" => "3",
				"REReplaceNoCase" => "3",
				"Reverse" => "3",
				"Right" => "3",
				"RJustify" => "3",
				"Round" => "3",
				"RTrim" => "3",
				"Second" => "3",
				"SetLocale" => "3",
				"SetProfileString" => "3",
				"SetVariable" => "3",
				"Sgn" => "3",
				"Sin" => "3",
				"SpanExcluding" => "3",
				"SpanIncluding" => "3",
				"Sqr" => "3",
				"StripCR" => "3",
				"StructAppend" => "3",
				"StructClear" => "3",
				"StructCopy" => "3",
				"StructCount" => "3",
				"StructDelete" => "3",
				"StructFind" => "3",
				"StructFindKey" => "3",
				"StructFindValue" => "3",
				"StructGet" => "3",
				"StructInsert" => "3",
				"StructIsEmpty" => "3",
				"StructKeyArray" => "3",
				"StructKeyExists" => "3",
				"StructKeyList" => "3",
				"StructNew" => "3",
				"StructSort" => "3",
				"StructUpdate" => "3",
				"Tan" => "3",
				"TimeFormat" => "3",
				"ToBase64" => "3",
				"ToBinary" => "3",
				"ToString" => "3",
				"Trim" => "3",
				"UCase" => "3",
				"URLDecode" => "3",
				"URLEncodedFormat" => "3",
				"Val" => "3",
				"ValueList" => "3",
				"Week" => "3",
				"WriteOutput" => "3",
				"XMLFormat" => "3",
				"Year" => "3",
				"YesNoFormat" => "3",

				#KEYWORD=Tags
				"CFABORT" => "1",
				"CFAPPLICATION" => "1",
				"CFAPPLET" => "1",
				"CFASSOCIATE" => "1",
				"CFAUTHENTICATE" => "1",
				"CFBREAK" => "1",
				"CFCACHE" => "1",
				"CFCASE" => "1",
				"CFTHROW" => "1",
				"CFCATCH" => "1",
				"CFCOL" => "1",
				"CFCOLLECTION" => "1",
				"CFCONTENT" => "1",
				"CFCOOKIE" => "1",
				"CFDEFAULTCASE" => "1",
				"CFDIRECTORY" => "1",
				"CFDUMP" => "1",
				"CFELSE" => "1",
				"CFELSEIF" => "1",
				"CFERROR" => "1",
				"CFEXECUTE" => "1",
				"CFEXIT" => "1",
				"CFFILE" => "1",
				"CFFLUSH" => "1",
				"CFFTP" => "1",
				"CFFORM" => "1",
				"CFGRAPH" => "1",
				"CFGRID" => "1",
				"CFGRIDCOLUMN" => "1",
				"CFGRIDROW" => "1",
				"CFHEADER" => "1",
				"CFHTMLHEAD" => "1",
				"CFHTTP" => "1",
				"CFHTTPPARAM" => "1",
				"CFIF" => "1",
				"CFIMPERSONATE" => "1",
				"CFINCLUDE" => "1",
				"CFINDEX" => "1",
				"CFINPUT" => "1",
				"CFINSERT" => "1",
				"CFLDAP" => "1",
				"CFLOCATION" => "1",
				"CFLOCK" => "1",
				"CFLOG" => "1",
				"CFLOGIN" => "1",
				"CFLOGINUSER" => "1",
				"CFLOOP" => "1",
				"CFMAIL" => "1",
				"CFMODULE" => "1",
				"CFOBJECT" => "1",
				"CFOUTPUT" => "1",
				"CFPARAM" => "1",
				"CFPOP" => "1",
				"CFQUERY" => "1",
				"CFQUERYPARAM" => "1",
				"CFREGISTRY" => "1",
				"CFREPORT" => "1",
				"CFROW" => "1",
				"CFSAVECONTENT" => "1",
				"CFSCHEDULE" => "1",
				"CFSCRIPT" => "1",
				"CFSEARCH" => "1",
				"CFSELECT" => "1",
				"CFSERVLET" => "1",
				"CFSET" => "1",
				"CFSETTING" => "1",
				"CFSILENT" => "1",
				"CFSLIDER" => "1",
				"CFSTOREDPROC" => "1",
				"CFSWITCH" => "1",
				"CFTABLE" => "1",
				"CFTEXTINPUT" => "1",
				"CFTRANSACTION" => "1",
				"CFTREE" => "1",
				"CFTREEITEM" => "1",
				"CFTRY" => "1",
				"CFUPDATE" => "1",
				"CFWDDX" => "1",
				"CFARGUMENT" => "1",
				"CFCOMPONENT" => "1",
				"CFFUNCTION" => "1",
				"CFINVOKE" => "1",
				"CFINVOKEARGUMENT" => "1",
				"CFPROPERTY" => "1",
				"CFRETURN" => "1",

				#KEYWORD=Attributes
				"ABORT" => "2",
				"ACCEPT" => "2",
				"ACCESS" => "2",
				"ACTION" => "2",
				"ADDNEWLINE" => "2",
				"ADDTOKEN" => "2",
				"ALIGN" => "2",
				"APPENDKEY" => "2",
				"APPLETSOURCE" => "2",
				"APPLICATION" => "2",
				"APPLICATIONTIMEOUT" => "2",
				"APPLICATIONTOKEN" => "2",
				"ARCHIVE" => "2",
				"ARGUMENTCOLLECTION" => "2",
				"ARGUMENTS" => "2",
				"ASCIIEXTENSIONLIST" => "2",
				"ATTACHMENTPATH" => "2",
				"ATTRIBUTES" => "2",
				"AUTOWIDTH" => "2",
				"backgroundColor" => "2",
				"barSpacing" => "2",
				"BASETAG" => "2",
				"BCC" => "2",
				"BGCOLOR" => "2",
				"BLOCKFACTOR" => "2",
				"BODY" => "2",
				"BOLD" => "2",
				"BORDER" => "2",
				"BORDERBACKGROUNDCOLOR" => "2",
				"borderColor" => "2",
				"borderWidth" => "2",
				"BRANCH" => "2",
				"CACHEDAFTER" => "2",
				"CACHEDIRECTORY" => "2",
				"CACHEDWITHIN" => "2",
				"CASESENSITIVE" => "2",
				"CATCHEXCEPTIONSBYPATTERN" => "2",
				"CATEGORY" => "2",
				"CC" => "2",
				"CFSQLTYPE" => "2",
				"ChartHeight" => "2",
				"ChartWidth" => "2",
				"CHECKED" => "2",
				"CLASS" => "2",
				"CLIENTMANAGEMENT" => "2",
				"CLIENTSTORAGE" => "2",
				"CODE" => "2",
				"COLHEADERALIGN" => "2",
				"COLHEADERBOLD" => "2",
				"COLHEADERFONT" => "2",
				"COLHEADERFONTSIZE" => "2",
				"COLHEADERITALIC" => "2",
				"COLHEADERS" => "2",
				"COLHEADERTEXTCOLOR" => "2",
				"COLLECTION" => "2",
				"colorList" => "2",
				"COLSPACING" => "2",
				"COLUMNS" => "2",
				"COMPLETEPATH" => "2",
				"COMPONENT" => "2",
				"CONDITION" => "2",
				"CONNECTION" => "2",
				"CONNECTSTRING" => "2",
				"CONTEXT" => "2",
				"COOKIEDOMAIN" => "2",
				"CRITERIA" => "2",
				"CUSTOM1" => "2",
				"CUSTOM2" => "2",
				"DATA" => "2",
				"DATAALIGN" => "2",
				"DATABACKGROUNDCOLOR" => "2",
				"DATACOLLECTION" => "2",
				"DATASOURCE" => "2",
				"DATE" => "2",
				"DBNAME" => "2",
				"DBSERVER" => "2",
				"DBTYPE" => "2",
				"DBVARNAME" => "2",
				"DEBUG" => "2",
				"DEFAULT" => "2",
				"DELETE" => "2",
				"DELETEBUTTON" => "2",
				"DELETEFILE" => "2",
				"DELIMITER" => "2",
				"DELIMITERS" => "2",
				"DEPTH" => "2",
				"DESTINATION" => "2",
				"DETAIL" => "2",
				"DIRECTORY" => "2",
				"DISPLAY" => "2",
				"DISPLAYNAME" => "2",
				"DN" => "2",
				"DOMAIN" => "2",
				"ENABLECAB" => "2",
				"ENABLECFOUTPUTONLY" => "2",
				"ENCTYPE" => "2",
				"ENDDATE" => "2",
				"ENDROW" => "2",
				"ENDTIME" => "2",
				"ENTRY" => "2",
				"ERRORCODE" => "2",
				"EXCEPTION" => "2",
				"EXISTING" => "2",
				"EXPAND" => "2",
				"EXPIRES" => "2",
				"EXPIREURL" => "2",
				"EXPRESSION" => "2",
				"EXTENDEDINFO" => "2",
				"EXTENDS" => "2",
				"EXTENSIONS" => "2",
				"EXTERNAL" => "2",
				"FAILIFEXISTS" => "2",
				"FILE" => "2",
				"FILEFIELD" => "2",
				"fileFormat" => "2",
				"FILL" => "2",
				"FILTER" => "2",
				"FILTERFILE" => "2",
				"FIRSTROWASHEADERS" => "2",
				"FONT" => "2",
				"FONTBOLD" => "2",
				"FONTITALIC" => "2",
				"FONTSIZE" => "2",
				"FOREGROUNDCOLOR" => "2",
				"FORMAT" => "2",
				"FORMFIELDS" => "2",
				"FROM" => "2",
				"GENERATEUNIQUEFILENAMES" => "2",
				"graphHeight" => "2",
				"graphWidth" => "2",
				"GRID" => "2",
				"GRIDDATAALIGN" => "2",
				"GRIDLINES" => "2",
				"GROUP" => "2",
				"GROUPCASESENSITIVE" => "2",
				"HEADER" => "2",
				"HEADERALIGN" => "2",
				"HEADERBOLD" => "2",
				"HEADERFONT" => "2",
				"HEADERFONTSIZE" => "2",
				"HEADERITALIC" => "2",
				"HEADERLINES" => "2",
				"HEIGHT" => "2",
				"HIGHLIGHTHREF" => "2",
				"HINT" => "2",
				"HREF" => "2",
				"HREFKEY" => "2",
				"HSCROLL" => "2",
				"HSPACE" => "2",
				"HTMLTABLE" => "2",
				"IDLETIMEOUT" => "2",
				"IMG" => "2",
				"IMGOPEN" => "2",
				"INDEX" => "2",
				"INLINE" => "2",
				"INPUT" => "2",
				"INSERT" => "2",
				"INSERTBUTTON" => "2",
				"INTERVAL" => "2",
				"ISOLATION" => "2",
				"ITALIC" => "2",
				"ITEM" => "2",
				"itemColumn" => "2",
				"itemLabelFont" => "2",
				"itemLabelOrientation" => "2",
				"itemLabelSize" => "2",
				"JRUNPROXY" => "2",
				"KEY" => "2",
				"KEYONLY" => "2",
				"LABEL" => "2",
				"LabelFormat" => "2",
				"LABELMASK" => "2",
				"LANGUAGE" => "2",
				"legendFont" => "2",
				"lineColor" => "2",
				"lineWidth" => "2",
				"LIST" => "2",
				"LOCALE" => "2",
				"LOCALFILE" => "2",
				"LOG" => "2",
				"LOOKANDFEEL" => "2",
				"MAILTO" => "2",
				"MARKERSIZE" => "2",
				"MARKERSTYLE" => "2",
				"MAXLENGTH" => "2",
				"MAXROWS" => "2",
				"MESSAGE" => "2",
				"MESSAGENUMBER" => "2",
				"METHOD" => "2",
				"MIMEATTACH" => "2",
				"MODE" => "2",
				"MODIFYTYPE" => "2",
				"MULTIPLE" => "2",
				"NAME" => "2",
				"NAMECONFLICT" => "2",
				"NEW" => "2",
				"NEWDIRECTORY" => "2",
				"NOTAB" => "2",
				"NOTSUPPORTED" => "2",
				"NULL" => "2",
				"NUMBERFORMAT" => "2",
				"ONERROR" => "2",
				"ONVALIDATE" => "2",
				"OPERATION" => "2",
				"ORDERBY" => "2",
				"OUTPUT" => "2",
				"OUTPUTFILE" => "2",
				"PAGEENCODING" => "2",
				"PAINTSTYLE" => "2",
				"PARENT" => "2",
				"PASSIVE" => "2",
				"PASSWORD" => "2",
				"PATH" => "2",
				"PICTUREBAR" => "2",
				"PieSliceStyle" => "2",
				"PORT" => "2",
				"PORTNUMBER" => "2",
				"PREFIX" => "2",
				"PRESERVEDATA" => "2",
				"PROCEDURE" => "2",
				"PROTOCOL" => "2",
				"PROVIDER" => "2",
				"PROVIDERDSN" => "2",
				"PROXYPORT" => "2",
				"PROXYSERVER" => "2",
				"PUBLISH" => "2",
				"QUERY" => "2",
				"QUERYASROOT" => "2",
				"RANGE" => "2",
				"REBIND" => "2",
				"RECURSE" => "2",
				"REDIRECT" => "2",
				"REFERRAL" => "2",
				"REFRESHLABEL" => "2",
				"REMOTEFILE" => "2",
				"REPORT" => "2",
				"REQUESTTIMEOUT" => "2",
				"REQUIRED" => "2",
				"RESOLVEURL" => "2",
				"RESULTSET" => "2",
				"RETRYCOUNT" => "2",
				"RETURNCODE" => "2",
				"RETURNTYPE" => "2",
				"RETURNVARIABLE" => "2",
				"ROLES" => "2",
				"ROTATED" => "2",
				"ROWHEADERALIGN" => "2",
				"ROWHEADERBOLD" => "2",
				"ROWHEADERFONT" => "2",
				"ROWHEADERFONTSIZE" => "2",
				"ROWHEADERITALIC" => "2",
				"ROWHEADERS" => "2",
				"ROWHEADERTEXTCOLOR" => "2",
				"ROWHEADERWIDTH" => "2",
				"ROWHEIGHT" => "2",
				"SCALE" => "2",
				"ScaleFrom" => "2",
				"ScaleTo" => "2",
				"SCOPE" => "2",
				"SECURE" => "2",
				"SECURITYCONTEXT" => "2",
				"SELECT" => "2",
				"SELECTCOLOR" => "2",
				"SELECTED" => "2",
				"SELECTMODE" => "2",
				"SEPARATOR" => "2",
				"SERIESCOLOR" => "2",
				"SERIESLABEL" => "2",
				"SeriesPlacement" => "2",
				"SERVER" => "2",
				"SESSIONMANAGEMENT" => "2",
				"SESSIONTIMEOUT" => "2",
				"SETCLIENTCOOKIES" => "2",
				"SETCOOKIE" => "2",
				"SETDOMAINCOOKIES" => "2",
				"SHOW3D" => "2",
				"SHOWBORDER" => "2",
				"SHOWDEBUGOUTPUT" => "2",
				"SHOWERROR" => "2",
				"showItemLabel" => "2",
				"SHOWLEGEND" => "2",
				"SHOWMARKERS" => "2",
				"ShowXGridLines" => "2",
				"ShowYGridLines" => "2",
				"SIZE" => "2",
				"SORT" => "2",
				"SORTASCENDINGBUTTON" => "2",
				"SORTCONTROL" => "2",
				"SORTDESCENDINGBUTTON" => "2",
				"SOURCE" => "2",
				"SPOOLENABLE" => "2",
				"START" => "2",
				"STARTDATE" => "2",
				"STARTROW" => "2",
				"STARTTIME" => "2",
				"STATUSCODE" => "2",
				"STATUSTEXT" => "2",
				"STEP" => "2",
				"STOPONERROR" => "2",
				"SUBJECT" => "2",
				"SUPPRESSWHITESPACE" => "2",
				"TABINDEX" => "2",
				"TABLENAME" => "2",
				"TABLEOWNER" => "2",
				"TABLEQUALIFIER" => "2",
				"TAGLIB" => "2",
				"TARGET" => "2",
				"TASK" => "2",
				"TEMPLATE" => "2",
				"TEXT" => "2",
				"TEXTCOLOR" => "2",
				"TEXTQUALIFIER" => "2",
				"THREAD" => "2",
				"THROWONERROR" => "2",
				"THROWONFAILURE" => "2",
				"THROWONTIMEOUT" => "2",
				"TICKMARKIMAGES" => "2",
				"TICKMARKLABELS" => "2",
				"TICKMARKMAJOR" => "2",
				"TICKMARKMINOR" => "2",
				"TIME" => "2",
				"TIMEOUT" => "2",
				"TIPBGCOLOR" => "2",
				"TipStyle" => "2",
				"TITLE" => "2",
				"titleFont" => "2",
				"TO" => "2",
				"TOPLEVELVARIABLE" => "2",
				"TRANSFERMODE" => "2",
				"TYPE" => "2",
				"URL" => "2",
				"URLColumn" => "2",
				"URLPATH" => "2",
				"USERAGENT" => "2",
				"USERNAME" => "2",
				"USETIMEZONEINFO" => "2",
				"VALIDATE" => "2",
				"VALUE" => "2",
				"valueColumn" => "2",
				"VALUES" => "2",
				"VALUESDELIMITER" => "2",
				"VALUESDISPLAY" => "2",
				"VAR" => "2",
				"VARIABLE" => "2",
				"VERTICAL" => "2",
				"VSCROLL" => "2",
				"VSPACE" => "2",
				"WEBSERVICE" => "2",
				"WIDTH" => "2",
				"WRITEOUTPUT" => "2",
				"XAXISTITLE" => "2",
				"XOFFSET" => "2",
				"YAXISTITLE" => "2",
				"YOFFSET" => "2"
			};

# Each category can specify a Perl function that takes in the function name, and returns a string
# to put in its place. This can be used to generate links, images, etc.

$self->{linkscripts}		= {
			"1"	=> "donothing",
			"2" => "donothing",
			"3" => "donothing",
			"4" => "donothing"
	};

	return $self;
}


# DoNothing link function

sub donothing
{
my ( $self ) = @_;
return;
}
1;
